AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
userID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Remove the member from the account by user ID
response, httpResp, err := client.AccountsAPI.RemoveAccountMember(ctx, accountID, userID)
if err != nil {
log.Fatalf("Error removing account member: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Account member removed! Status: %d\n", httpResp.StatusCode)
if response != nil && response.Message != "" {
fmt.Printf("Response: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}
curl --request DELETE \
--url https://api.ahasend.com/v2/accounts/{account_id}/members/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ahasend.com/v2/accounts/{account_id}/members/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ahasend.com/v2/accounts/{account_id}/members/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Operation completed successfully"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}Accounts
Remove Account Member
Removes a member from the account
Restrictions:
- You cannot delete yourself
- You cannot delete the account owner
DELETE
/
v2
/
accounts
/
{account_id}
/
members
/
{user_id}
AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
userID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Remove the member from the account by user ID
response, httpResp, err := client.AccountsAPI.RemoveAccountMember(ctx, accountID, userID)
if err != nil {
log.Fatalf("Error removing account member: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Account member removed! Status: %d\n", httpResp.StatusCode)
if response != nil && response.Message != "" {
fmt.Printf("Response: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}
⌘I

